Class RelativeLocation

Declaration :

- C++ : class RelativeLocation : public LocatingPin

Artifact : relativelocation

Relation anchor (<unidirectional association>)

Declaration :

- Uml : # anchor : MObject, multiplicity : 1
- C++ : protected: MObject* anchor

Attribut relType

Declaration :

- Uml : # relType : RelType
- C++ : protected: RelType relType

the kind of relation denoted by this Placement

Attribut offset

Declaration :

- Uml : # offset : Time
- C++ : protected: Time offset

Offset the actual position by this (time) value relative to the anchor point. TODO: Representation?

Class RelType